- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# ResultItem Class Reference

Search for all occurrences

## Detailed Description

Definition at line 69 of file qtconcurrentresultstore.h.

`#include <qtconcurrentresultstore.h>`

List of all members.

## Public Member Functions
| ResultItem (const void *_result, int _count)
| ResultItem (const void *_result)
| ResultItem ()
bool | isValid () const
bool | isVector () const
int | count () const
## Public Attributes
int | m_count
const void * | result

## Constructor & Destructor Documentation

ResultItem | ( | const void * | _result,
|  | int | _count
| ) |  | `[inline]`

Definition at line 72 of file qtconcurrentresultstore.h.

    : m_count(_count), result(_result) { } // contruct with vector of results

ResultItem | ( | const void * | _result | ) | `[inline]`

Definition at line 73 of file qtconcurrentresultstore.h.

    : m_count(0), result(_result) { } // construct with result

ResultItem | ( |  | ) | `[inline]`

Definition at line 74 of file qtconcurrentresultstore.h.

    : m_count(0), result(0) { }

## Member Function Documentation

bool isValid | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 75 of file qtconcurrentresultstore.h.

    { return result != 0; }

bool isVector | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 76 of file qtconcurrentresultstore.h.

    { return m_count != 0; }

int count | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 77 of file qtconcurrentresultstore.h.

    { return (m_count == 0) ?  1 : m_count; }

## Member Data Documentation

int m_count

Search for all occurrences

Definition at line 78 of file qtconcurrentresultstore.h.

const void* result

Search for all occurrences

Definition at line 79 of file qtconcurrentresultstore.h.

The documentation for this class was generated from the following file:

- QtCore/qtconcurrentresultstore.h

ResultItem ResultItem ResultItem ResultItem ResultItem ResultItem ResultItem ResultItem ResultItem ResultItem
ResultItem ResultItem ResultItem ResultItem ResultItem ResultItem ResultItem ResultItem ResultItem ResultItem